Commit 44ce622f authored by Nicolas Fella's avatar Nicolas Fella
Browse files

Use versionless Qt cmake target

This makes it easier to build against both Qt5 and Qt6

GIT_SILENT
parent 3a0dcd59
......@@ -63,7 +63,7 @@ configure_file(config-kwrited.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kwrited
if (BUILD_AS_EXECUTABLE)
add_executable(kwrited kwrited.cpp)
target_compile_definitions(kwrited PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
target_link_libraries(kwrited Qt5::Gui KF5::CoreAddons KF5::I18n KF5::Notifications KF5::Pty)
target_link_libraries(kwrited Qt::Gui KF5::CoreAddons KF5::I18n KF5::Notifications KF5::Pty)
install(TARGETS kwrited ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
if(IS_ABSOLUTE BIN_INSTALL_DIR)
set(ABS_BIN_INSTALL_DIR "${BIN_INSTALL_DIR}")
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment